:root {
    --search-trigger-top: 20px;
    --search-trigger-right: 20px;
    --search-trigger-font-size: 22px;
    --search-trigger-padding: 10px 14px;
    --search-overlay-z-index: 9999;
    --search-overlay-padding: 32px;
    --overlay-top-position: 100px;
    --colorPrimary: #008F6D;
    --border-color: #ddd;
    --border-color-secondary: #999;
    --text-muted: #777;
    --button-padding: 12px 24px;
    --button-font-size: 16px;
    --gap-small: 20px;
    --gap-medium: 3rem;
    --gap-large: 40px;
    --gap-extra-large: 60px;
    --maxWidht: 1600px;
}

.df-hidden{
    display: none !important;
}

#searchBox {
    margin: 0;
    margin-top: -1px;
    right: 100px;
    display: block !important;
}
#searchBox form{
    display:flex;
}

#searchBox #searchInputDf {
    border:none;
    border-bottom: 1px solid var(--border-color-secondary);
    font-size: 16px;
    padding: 6px 12px;
    height: auto;
    width:200px;
    @media (min-width: 1590px) {
        width:clamp(60px, 11vw, 200px);
    }
}
#searchBox #searchInputDf:focus,
#searchBox #searchInputDf:focus-visible{
    outline:none;
}

#searchBox button {
    border: none;
    border-radius: 0;
    padding: 0;
    height:35px;
    width:35px;
    font-size: 16px;
    line-height: 1.8;
    margin: 0 0.3rem 0 0;
    position: relative;
    background: transparent;
    color: inherit;
    overflow: hidden;
    text-indent: -999px;
}

#searchBox button:after,
#searchBox button:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0.5rem;
}

#searchBox button:before {
    width: 15px;
    height: 15px;
    border: solid 2px #8D8D8D;
    border-radius: 50%;
    margin-top: -8px;
}

#searchBox button:after {
    width: 10px;
    height: 2px;
    background-color: #8D8D8D;
    transform: rotate(43deg);
    margin-top: 6px;
    margin-left: 12px;
}

.search-trigger {
    position: fixed;
    top: var(--search-trigger-top);
    right: var(--search-trigger-right);
    z-index: 100;
    font-size: var(--search-trigger-font-size);
    padding: var(--search-trigger-padding);
    cursor: pointer;
    border: none;
    background: none;
}

.search-overlay {
    position: fixed;
    background: white;
    z-index: var(--search-overlay-z-index);
    overflow-y: auto;
    display: none;
    top: calc(var(--overlay-top-position) + 1rem);
    width: 100%;
    max-width: 1600px;
    max-height: 80vh;
    height: auto;
    left: 50%;
    transform: translateX(-50%);
    box-shadow: 0 10px 10px rgba(0, 0, 0, .3);
    border: 1px solid #c5c5c5;
    border-radius: 1rem;
    padding:0 var(--search-overlay-padding);
}
.search-overlay > .search-header{
    padding-top:var(--search-overlay-padding);
}

#fullResults h5{
    display: none;
}

.search-results-wrapper {
    display: flex;
    padding:4rem 4rem;
    @media (max-width: 992px) {
        padding:4rem 2rem;
    }
}

.search-results-wrapper.is-open,
.search-overlay.is-open {
    display: block;
}

.search-results-wrapper .search-content,
.search-overlay.has-query .search-content {
    display: grid;
    grid-template-columns: minmax(15%, 220px) 1fr minmax(20%, 330px);
    gap: var(--gap-large);
    font-size: 16px;
    max-width: var(--maxWidht);
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}
.search-overlay.has-query .search-content{
    padding-top:3rem;
}
.search-results-wrapper .header{
    display: flex;
    flex-wrap:wrap;
    gap:2rem;
    justify-content: space-between;
    border-bottom: 1px solid var(--border-color);
    padding-bottom: 3rem;
    
    @media (max-width: 767px) {
        padding-bottom: 2rem;
    }
}
.search-results-wrapper .search-content{
    display: flex;
    flex-direction: column;
}
.search-results-wrapper .search-content .search-grid{
    display:flex;
    flex-wrap:wrap;
    margin:0;
    padding:0 0;
    display: grid;
    gap:var(--gap-large);
    grid-template-columns: minmax(15%, 220px) 1fr;
}
.search-results-wrapper [data-mode="content"] .search-content .search-grid{
    grid-template-columns: 1fr;
}

.search-results-wrapper #filter > .toggler{
    display: none;
}
.search-results-wrapper .search-content > #filter{
    width: 25%;
    max-width: 220px;
}

.search-results-wrapper.has-query .search-actions,
.search-overlay.has-query .search-actions {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 40px;
    padding: calc(var(--search-overlay-padding) * .75) 0;
    border-top: 1px solid var(--border-color);
    position: sticky;
    bottom: 0;
    background: #fff;
}

.search-results-wrapper .logo,
.search-overlay .logo {
    width: 80px;
    height: auto;
    max-width: 10vw;
    min-width: 50px;
}

.search-results-wrapper h5,
.search-overlay h5 {
    color: #008F6D;
    font-size: 2.7rem;
    line-height: 140%;
    font-weight: 300;
    padding: 0 0 0.6rem 0;
}

.search-results-wrapper button,
.search-overlay button {
    border-radius: 9px;
    color: #545454;
}

.search-results-wrapper button:hover,
.search-overlay button:hover {
    color: rgba(84, 84, 84, 0.8);
}

.search-results-wrapper .search-header,
.search-overlay .search-header {
    display: grid;
    grid-template-columns: 1fr minmax(min-content, var(--maxWidht)) 1fr;
    grid-template-areas: "logo search close";
    align-items: center;
    border-bottom: 1px solid var(--border-color);
    padding-bottom: 20px;
    gap: var(--gap-medium);
}

.search-results-wrapper .search-header > .logo,
.search-overlay .search-header > .logo {
    grid-area: logo;
}

.search-results-wrapper .search-header > .search-input-wrap,
.search-overlay .search-header > .search-input-wrap {
    grid-area: search;
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    flex-wrap: wrap;
}

.search-results-wrapper .search-header > button,
.search-overlay .search-header > button {
    grid-area: close;
}

.search-results-wrapper .header input,
.search-overlay .search-header input {
    width: 40%;
    border: 0;
    border-bottom: 1px solid var(--border-color-secondary);
    font-size: 18px;
    padding: 12px;
}

/*.search-results-wrapper .search-content,*/
.search-results-wrapper .search-actions,
.search-overlay .search-content,
.search-overlay .search-actions {
    display: none;
}

.search-results-wrapper .products,
.search-overlay .products {
    display: grid;
    gap: var(--gap-medium) var(--gap-extra-large);
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: var(--gap-medium);
}

.search-results-wrapper .product,
.search-results-wrapper .content-result,
.search-results-wrapper .full-product-item,
.search-results-wrapper .full-content-item,
.search-overlay .product,
.search-overlay .content-result,
.search-overlay .full-product-item,
.search-overlay .full-content-item {
    text-decoration: none;
    color: inherit;
    display: grid;
    align-items: center;
}

.search-results-wrapper .product,
.search-overlay .product {
    grid-template-columns: 110px 1fr;
    gap: var(--gap-small);
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    gap: .5rem;
    transition: scale .3s cubic-bezier(.47, 0, .74, .71);
}

.search-results-wrapper .product:hover,
.search-overlay .product:hover {
    scale: 1.05;
}

.search-results-wrapper .product > div,
.search-overlay .product > div {
    width: 100%;
    padding: 1.5rem;
    overflow: hidden;
}

.search-results-wrapper .product img,
.search-results-wrapper .full-product-item img,
.search-overlay .product img,
.search-overlay .full-product-item img {
    width: 100%;
    aspect-ratio: 1.225;
    object-fit: cover;
}

.search-results-wrapper .product img.placeholder,
.search-results-wrapper .full-product-item img.placeholder,
.search-overlay .product img.placeholder,
.search-overlay .full-product-item img.placeholder {
    object-fit: contain;
    background: #008F6D;
    opacity: 1;
    padding: 1.5rem;
}

.search-results-wrapper .full-product-item img,
.search-overlay .full-product-item img {
    width: 90px;
    height: 90px;
}

.search-results-wrapper .content-result,
.search-overlay .content-result {
    display: block;
    margin-bottom: 20px;
}

.search-results-wrapper button,
.search-results-wrapper #loadMore,
.search-results-wrapper #backToSearch,
.search-overlay button,
.search-overlay #loadMore,
.search-overlay #backToSearch {
    padding: var(--button-padding);
    border: 1px solid #222;
    background: white;
    cursor: pointer;
    font-size: var(--button-font-size);
    line-height: 1.2;
    margin: 0;
}

.search-results-wrapper button:disabled,
.search-results-wrapper #loadMore:disabled,
.search-overlay button:disabled,
.search-overlay #loadMore:disabled {
    opacity: 0.35;
    cursor: not-allowed;
}

.search-results-wrapper .header input,
.search-overlay .search-input-wrap input {
    max-width: 460px;
    width: 100%;
    height: auto;
    outline: none;
    line-height: 1.2;
    display:none;
    
    @media (max-width: 767px) {
        display: block;
    }
}

.search-mode{
    display: flex;
    flex-wrap: wrap;
    gap:2rem;
}
.search-mode button{
	border-color:#454545;
	padding: .75em 1em;
}
.search-mode button[data-active=true]{
	border-color:var(--colorPrimary);
    background:var(--colorPrimary);
    color:white;
}
.search-results-wrapper .suggestions,
.search-overlay .suggestions {
    display: none;
    font-size: 14px;
    justify-content: end;
	margin:0;
    margin-left:auto;
}

.search-results-wrapper .suggestions.is-visible,
.search-overlay .suggestions.is-visible {
    display: flex;
    align-items: center;
    gap: 8px;
    flex-wrap: wrap;
}

.search-results-wrapper .suggestions-label,
.search-overlay .suggestions-label {
    font-weight: bold;
    color: var(--text-muted);
}

.search-results-wrapper .suggestion-item,
.search-overlay .suggestion-item {
    border: 1px solid var(--border-color-secondary);
    background: white;
    padding: .3em .7em;
    margin: 0;
    cursor: pointer;
    font-size: 14px;
    line-height: 1.25;
}

.search-results-wrapper .category-filter,
.search-overlay .category-filter {
    display: block;
    margin-bottom: 4px;
    border: 0;
    background: none;
    cursor: pointer;
    text-align: left;
    padding: .75rem 0;
    line-height: 1.2;
}

/* Filter Accordion Groups */
.search-results-wrapper .filter-group {
    margin-bottom: 1rem;
}

.search-results-wrapper .filter-group-header {
    color: #008F6D;
    font-size: 2.4rem;
    line-height: 140%;
    font-weight: 300;
    padding: 0 0 0.6rem 0;
    border: none;
    background: none;
    cursor: pointer;
    text-align: left;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.search-results-wrapper .filter-group-header:hover {
    color: rgba(0, 143, 109, 0.8);
}

.filter-group-arrow{
	text-indent: -9999px;
    overflow: hidden;
	display: inline-block;
	width:1lh;
	height:1lh;
	position:relative;
    transition: all 0.3s ease-in-out;
}
.filter-group-arrow:after,
.filter-group-arrow:before{
    transition: all 0.3s ease-in-out;
    content: '';
    position: absolute;
    display: block;
    width: 12px;
    height: 2px;
    background-color: #545454;
    transform: rotate(40deg);
    transform-origin: right center;
    top:50%;
    right:50%;
    margin: 4px 0 0;
}
.filter-group-arrow:after{
    transform: rotate(140deg);
}
[aria-expanded="true"] .filter-group-arrow{
    scale: 1 -1;
}

.search-results-wrapper .filter-group-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
}

.search-results-wrapper .filter-group-content.is-open {
    max-height: 2000px;
}

.search-results-wrapper .filter-category-item {
    padding: 0.5rem 0;
}

.search-results-wrapper .filter-category-item label {
    cursor: pointer;
    display: flex;
    align-items: start;
    gap: 0.75rem;
    margin:0;
}

.search-results-wrapper .filter-category-checkbox {
    line-height: 128%;
    width: 16px;
    height: 16px;
    margin-top: calc(1lh - 16px);
    accent-color: #008F6D;
    cursor: pointer;
}
.search-results-wrapper .count {
    margin-left:auto;
    opacity: .8;
}

.search-results-wrapper #closeSearch,
.search-overlay #closeSearch {
    display: block;
    font-size: 28px;
    background: none;
    border: 0;
    cursor: pointer;
    padding: 0;
    line-height: 1;
    color: #878787;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-self: end;
}

.search-results-wrapper .full-results-page,
.search-overlay .full-results-page {
    display: none;
    padding: 0;
    flex-direction: column;
    width: 100%;
    max-width: var(--maxWidht);
    margin: 0 auto;
    display: flex;
}

/*.search-results-wrapper ,.full-results-page.is-visible
.search-overlay .full-results-page.is-visible {
}*/

.search-results-wrapper .full-result-list,
.search-overlay .full-result-list {
    font-size: 16px;
}

.search-results-wrapper .full-result-list.products,
.search-overlay .full-result-list.products {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: var(--gap-medium);
}

.search-results-wrapper .full-product-item,
.search-overlay .full-product-item {
    grid-template-columns: 90px 1fr;
    gap: var(--gap-small);
    padding-bottom: 16px;
}

.search-results-wrapper .full-content-item,
.search-overlay .full-content-item {
    display: block;
    margin-bottom: 2rem;
}

.search-results-wrapper #loadMoreWrapper,
.search-overlay #loadMoreWrapper {
    margin-top: 32px;
    text-align: center;
    display: none;
}

.search-results-wrapper .product-name,
.search-results-wrapper .product-name-botany,
.search-overlay .product-name,
.search-overlay .product-name-botany {
    line-height: 1.15;
    color: #8D8D8D;
    font-weight: normal;
    margin-bottom: 2px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    font-size: 16px;
}

.search-results-wrapper .product-name-botany,
.search-overlay .product-name-botany {
    margin-bottom: 10px;
    font-style: italic;
    color: #008F6D;
}

.search-results-wrapper .product-price,
.search-overlay .product-price {
    font-size: 1.2em;
    font-weight: normal;
    margin-top: 15px;
    line-height: 1;
    color: #008F6D;
}

.search-results-wrapper .search-header {
    grid-template-columns: 1fr;
}

.search-results-wrapper .search-actions {
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    margin-top: auto;
    padding-top: var(--search-overlay-padding);
    border-top: 1px solid var(--border-color);
    position: sticky;
    bottom: 0;
    background: #fff;
}

.banner-results > div{
    margin-bottom: var(--gap-medium);
}
.banner-results picture{
    margin:0;
    display:block;
}
.banner-results img{
    width:100%;
}


@media (max-width: 1024px) {
    #blockHeader #blockHeaderMain #searchBox {
        right: 160px;
    }
    .search-results-wrapper h5,
    .search-overlay h5 {
        font-size: 2.2rem;
    }
}

@media (max-width: 992px) {
    :root {
        --search-overlay-padding: 1.5rem;
        --gap-small: 1rem;
        --gap-medium: 1.5rem;
        --gap-large: 1.75rem;
        --gap-extra-large: 2rem;
    }
    .search-results-wrapper h5,
    .search-overlay h5 {
        margin-bottom: 1rem;
    }
    .search-results-wrapper .search-header,
    .search-overlay .search-header {
        grid-template-areas:
            "search search close"
            "search search close";
    }
    .search-results-wrapper .search-content,
    .search-overlay.has-query .search-content {
        grid-template-columns: 1fr minmax(20%, 330px);
        grid-template-columns: repeat(auto-fit, minmax(310px, 1fr));
    }
    .search-results-wrapper .search-content > div:first-child,
    .search-overlay.has-query .search-content > div:first-child {
        grid-column: 1 / -1;
    }
    .search-results-wrapper #categoryResults,
    .search-overlay #categoryResults {
        display: flex;
        flex-wrap: wrap;
        gap: 1.5rem 3rem;
    }
    .search-results-wrapper #categoryResults .category-filter,
    .search-overlay #categoryResults .category-filter {
        margin: 0;
        padding: 0;
    }
}

@media (max-width: 767px) {
    .search-results-wrapper h5,
    .search-overlay h5 {
        font-size: 2.1rem;
    }
    #searchBox #searchInputDf{
        display:none;
    }
    #searchBox button:before{
        margin-top: -10px;
    }
    #searchBox button:after{
        margin-top: 4px;
    }
    .search-results-wrapper .search-input-wrap input, 
    .search-overlay .search-input-wrap input{
        display: block;
    }
    .search-results-wrapper .suggestions, .search-overlay .suggestions{
        margin-left:0;
        justify-content: start;
    }

    .search-results-wrapper .search-content .search-grid{
        grid-template-columns: 1fr;
    }
    .search-results-wrapper .search-content #filter{
        display: none;
        display:block;
        position: fixed;
        
        bottom:0;
        left:5%;
        width: 90%;
        transform:translateY(100%);
        transition:all .3s ease;

        z-index:99;
    }
    .search-results-wrapper .search-content #filter .toggler{
        cursor:pointer;
        display:block;
        background:var(--colorPrimary);
        color:white;
        padding:.5rem 1rem;
        border-radius:4px 4px 0 0;
        position:absolute;
        bottom:100%;
        left:50%;
        transform:translateX(-50%);
        box-shadow:0 0 5px rgba(0,0,0,.5);
        z-index:-1;
        display: flex;
        gap: .5rem;
        justify-content: center;
        align-items: center;
    }
    .search-results-wrapper .search-content #filter .toggler .icon{
        display: inline-flex;
        color:#fff;
    }
    .search-results-wrapper .search-content #filter .toggler .icon > svg{
        top:auto
    }
    .search-results-wrapper .search-content #filter .toggler .icon > svg path{
        fill:none;
    }
    .search-results-wrapper .search-content #filter > .inner{
        background:white;
        padding:1.5rem 2rem;
        height:80vh;
        max-height:500px;
        overflow: auto;
        border-radius:4px 4px 0 0;
    }
    .search-results-wrapper .search-content #filter.is-active{
        transform:translateY(0);
    }
    .search-results-wrapper .search-content #filter.is-active > .inner{
        transform:translateY(0);
        box-shadow:0 0 5px rgba(0,0,0,.5);
    }
}

@media (max-width: 575px) {
    #searchBox button {
        text-indent: -9999px;
        margin: 0;
        padding-left: 30px;
    }
}